LibreOffice: NumberingStyle Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
NumberingStyle Service Referencepublished

specifies a style sheet numberings within a com::sun::star::text::Text. More...

Inheritance diagram for NumberingStyle:

## Included Services
service | com::sun::star::style::Style
| specifies administrative properties.
service | NumberingRules
Included Services inherited from Style
service | com::sun::star::xml::UserDefinedAttributesSupplier
| contains user defined attributes.

## Additional Inherited Members
Public Types inherited from Style
typedef sequence< com::sun::star::beans::NamedValue > | ParaStyleConditions
| defines the context and styles for conditional paragraphs.
typedef sequence< com::sun::star::beans::PropertyValue > | StyleInteropGrabBag
| Grab bag of style properties, used as a string-any map for interim interop purposes.
Exported Interfaces inherited from Style
interface | com::sun::star::style::XStyle
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XMultiPropertyStates
Exported Interfaces inherited from NumberingRules
interface | com::sun::star::container::XIndexReplace
| provides access to the levels of the numbering rule.
interface | com::sun::star::beans::XPropertySet
Public Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user.
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Attributes inherited from Style
boolean | IsPhysical
| determines if a style is physically created.
string | FollowStyle
| contains the name of the style that is applied to the next paragraph.
string | DisplayName
| contains the name of the style as it is displayed in the user interface.
string | IsAutoUpdate
| determines if a style is automatically updated, if the properties of an object that the style is applied to are changed.
boolean | Hidden
| Flag indicating whether to hide the style in the UI.
Public Attributes inherited from NumberingRules
boolean | IsAbsoluteMargins
| determines if the margins are absolute or relative to the preceding numbering level.
boolean | IsAutomatic
| determines if the numbering rules are automatically created as opposed to numbering rules that are part of a numbering style.
boolean | IsContinuousNumbering
| determines if the numbering levels are counted continuously or if each numbering level is counted separately.
string | Name
| contains the name of the numbering rules.
boolean | NumberingIsOutline
| This numbering is used in the outline of the document (e.g.
short | NumberingType
| the type of numbering (Arabic, characters, roman numbers, etc.).
string | DefaultListId
| id of default list for the numbering rules instance
Protected Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user.
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style.
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values.
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values.
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes.

## Detailed Description

specifies a style sheet numberings within a com::sun::star::text::Text.

## Exported Interfaces

## ◆ com::sun::star::style::Style

service com::sun::star::style::Style

specifies administrative properties.

## ◆ NumberingRules

service NumberingRules

The documentation for this service was generated from the following file:

- com/sun/star/text/NumberingStyle.idl